Subject: Re: PSAMP open issue 18: export rate limit?

From: Benoit Claise <[email-masked]>
Date: Tue, 28 Feb 2006 16:36:57 +0100

Dear all,

After speaking with Andrew and Paul, here is a proposal:
There MUST be a IPFIX Message export rate limit, configurable per 
Exporting Process.
The Exporting Process MAY rate-limit the export rate on a per Collecting 
Process basis.

Feedback?

Regards, Benoit.

> Hello Benoit and all.
>
> Benoit Claise wrote:
>> Dear all,
>>
>> In [PSAMP-FMWK], the following statement is still un-addressed in 
>> [PSAMP-PROTO]
>> PROTO-18 “The exporting process must have an export rate limit, 
>> configurable per Exporting Process”.
>> See section 8.3 for the details 
>> http://www.ietf.org/internet-drafts/draft-ietf-psamp-framework-10.txt
>>
>>
>> First of all, I have a question regarding the requirement itself. 
>> Isn't it supposed to mean: “The exporting process must have an export 
>> rate limit, configurable per Collecting Process”? Otherwise, I don't 
>> understand the exact requirement when we have a PSAMP device 
>> exporting to multiple collectors!
>
> I would say that each Exporting Process exports to only one collector,
> but can be fed by multiple Metering Processes.  Also, each Metering
> Process may feed Multiple Exporting Processes.  With this concept we
> can rate limit the Exporting Process and it will only affect one
> collector.
>
>
>> Then, how to address the requirement?
>> Shall we simply update [PSAMP-PROTO] with a sentence such as: "The 
>> exporting process MUST have an export rate limit, configurable per 
>> Collecting Process"?
>> And that's it?
>
> If we agree that one Exporting Process deals with only one collector
> then this simplifies matters.
>
>
>> Do we keep the export rate limit as a generic term? Or do we define 
>> precisely what it mean? Example: number of IPFIX Messages, number of 
>> bytes/s, number of records/s?
>
> I think we should pick a MUST, such as we MUST be able to rate limit
> based on the number of data and option records per second, but you MAY
> rate limit on other criteria also, such as bandwidth.  This will allow
> some common ground between implementations, useful for people who buy
> from multiple vendors.
>
> Regards
>
> Andrew

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/psamp/>